Subject: Re: [NET_SCHED]: Add mask support to fwmark classifier

From: Patrick McHardy <[email-masked]>
Date: Sat, 26 Aug 2006 13:15:03 +0200

jamal wrote:
> Another approach could have been to add the mask as part of the hashing.
> and you add the new hash field not in the head rather in the filter. At
> runtime, you hash - walk the bucket and compare the mask as well as the
> index.

That doesn't work. To what do you compare it? We have a mark from the
packet .. but no mask. And we don't want to compare the mask but use
it to mask the mark value.